Search documentation of grizzly

# View Source mix zwave.gen.command (grizzly v7.4.2)

Generates the scaffolding for a new Z-Wave Command

mix zwave.gen.command ThermostatModeSet Thermostat mode

The pattern is

mix zwave.gen.command CommandModuleName CommandClassModule params....

Flags:

- `--no-save` - will print the generated module out to the console
- `--target-dir <path>` - will generate the new module at the provided path
- `--no_test` - if set, will not generate a test file

# Summary

## Functions

run(args)

Callback implementation for `Mix.Task.run/1`.

# Functions

Link to this function

# run(args)

View Source

Callback implementation for `Mix.Task.run/1`.